Bug 1298546 - lazarus-1.6.2-0 is available
lazarus-1.6.2-0 is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lazarus (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joost van der Sluis
Fedora Extras Quality Assurance
: FutureFeature, Reopened, Triaged
Depends On:
Blocks: 1405778 1415434
  Show dependency treegraph
 
Reported: 2016-01-14 07:14 EST by Upstream Release Monitoring
Modified: 2017-03-24 13:50 EDT (History)
2 users (show)

See Also:
Fixed In Version: lazarus-1.6.2-1.fc25 lazarus-1.6.2-1.fc24
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-24 13:50:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.36 KB, patch)
2016-11-15 19:24 EST, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2016-01-14 07:14:43 EST
Latest upstream release: 1.6RC2-0
Current version/release in rawhide: 1.6-0.1.RC1.fc24
URL: http://sourceforge.net/projects/lazarus

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2016-01-14 07:14:57 EST
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-8T2rJd/lazarus.spec
return code:  22
stdout:
Getting http://downloads.sourceforge.net/project/lazarus/Lazarus%20Zip%20_%20GZip/Lazarus%201.6RC2RC1/lazarus-1.6RC2RC1-0.tar.gz to ./lazarus-1.6RC2RC1-0.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
Comment 2 Upstream Release Monitoring 2016-02-18 19:15:17 EST
Latest upstream release: 1.6.0-0
Current version/release in rawhide: 1.6-0.2.RC1.fc24
URL: http://www.lazarus-ide.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 3 Upstream Release Monitoring 2016-02-18 19:15:29 EST
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-YL9BOR/lazarus.spec
return code:  22
stdout:
Getting http://downloads.sourceforge.net/project/lazarus/Lazarus%20Zip%20_%20GZip/Lazarus%201.6.0RC1/lazarus-1.6.0RC1-0.tar.gz to ./lazarus-1.6.0RC1-0.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
Comment 4 Upstream Release Monitoring 2016-11-15 19:23:09 EST
Latest upstream release: 1.6.2-0
Current version/release in rawhide: 1.6-0.2.RC1.fc24
URL: http://www.lazarus-ide.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1538/
Comment 5 Upstream Release Monitoring 2016-11-15 19:24:00 EST
Patching or scratch build for lazarus-1.6 failed.
Comment 6 Upstream Release Monitoring 2016-11-15 19:24:01 EST
Created attachment 1220992 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 7 Upstream Release Monitoring 2016-11-15 19:24:03 EST
Patches were not touched. All were applied properly
Comment 8 Mattia Verga 2016-12-01 05:00:43 EST
Any chance to have this upgrade in rawhide before F26 branch?
The current RC version is giving me problems with virtualplanet upgrade.
Comment 9 Mattia Verga 2017-01-22 03:19:49 EST
I can take care of the upgrade, if you give me commit access.
I already tested the upgrade on my copr and it's working fine without changing  the .spec file.
Comment 10 Fedora Update System 2017-02-01 05:59:57 EST
lazarus-1.6.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-96d9586d7a
Comment 11 Fedora Update System 2017-02-01 18:51:43 EST
lazarus-1.6.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-96d9586d7a
Comment 12 Fedora Update System 2017-02-05 15:21:17 EST
lazarus-1.6.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2017-02-08 11:43:35 EST
lazarus-1.6.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-65d01e61eb
Comment 14 Fedora Update System 2017-02-09 16:52:05 EST
lazarus-1.6.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-65d01e61eb
Comment 15 Fedora Update System 2017-03-24 13:50:28 EDT
lazarus-1.6.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.